Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
VOL_primal Class Reference

`#include <OsiTestSolver.hpp>`

Collaboration diagram for VOL_primal:
[legend]

## Public Member Functions
| VOL_primal (const int psize, const int dsize)
| VOL_primal (const VOL_primal &primal)
| ~VOL_primal ()
VOL_primal & | operator= (const VOL_primal &p)
void | cc (const double alpha, const VOL_primal &p)
void | find_max_viol (const VOL_dvector &dual_lb, const VOL_dvector &dual_ub)

## Public Attributes
double | value
double | viol
VOL_dvector | x
VOL_dvector | v

## Detailed Description

Definition at line 315 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

VOL_primal::VOL_primal | ( | const int | psize,
|  | const int | dsize
| ) |  |
| inline

Definition at line 326 of file OsiTestSolver.hpp.

VOL_primal::VOL_primal | ( | const VOL_primal & | primal | ) |
| inline

Definition at line 327 of file OsiTestSolver.hpp.

VOL_primal::~VOL_primal | ( |  | ) |
| inline

Definition at line 329 of file OsiTestSolver.hpp.

## Member Function Documentation

VOL_primal& VOL_primal::operator= | ( | const VOL_primal & | p | ) |
| inline

Definition at line 330 of file OsiTestSolver.hpp.

void VOL_primal::cc | ( | const double | alpha,
|  | const VOL_primal & | p
| ) |  |
| inline

Definition at line 344 of file OsiTestSolver.hpp.

void VOL_primal::find_max_viol | ( | const VOL_dvector & | dual_lb,
|  | const VOL_dvector & | dual_ub
| ) |  |

## Member Data Documentation

double VOL_primal::value

Definition at line 318 of file OsiTestSolver.hpp.

double VOL_primal::viol

Definition at line 320 of file OsiTestSolver.hpp.

VOL_dvector VOL_primal::x

Definition at line 322 of file OsiTestSolver.hpp.

VOL_dvector VOL_primal::v

Definition at line 324 of file OsiTestSolver.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Osi/test/OsiTestSolver.hpp